### Method

# Peas ObjectModule register_extension_type

#### Declaration [src]

    void
    peas_object_module_register_extension_type (
      PeasObjectModule* module,
      GType exten_type,
      GType impl_type
    )

#### Description [src]

Register `impl_type` as an extension which implements `extension_type`.

Since libpeas 1.22, `exten_type` can be an Abstract `GType` and not just an Interface `GType`.

#### Parameters

`exten_type`

  Type: `GType`

  The `GType` of the extension you implement.

`impl_type`

  Type: `GType`

  The `GType` of your implementation of `exten_type`.